petsc-3.4.2 2013-07-02

# DMSNESGetPicard

get SNES Picard iteration evaluation functions

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESGetPicard(DM dm,PetscErrorCode (**SNESFunction)(SNES,Vec,Vec,void*),PetscErrorCode (**SNESJacobianFunction)(SNES,Vec,Mat*,Mat*,MatStructure*,void*),void **ctx)

Not Collective

### Input Argument

dm -DM to be used with SNES

### Output Arguments

| SNESFunction | - Jacobian evaluation function;
| SNESJacobianFunction | - RHS evaluation function;
| ctx | - context for residual evaluation

### See Also

DMSNESSetContext(), SNESSetFunction(), DMSNESSetJacobian()

Level:advanced
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages